- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArrayOfMatrices Class Reference

`#include <arrayofmatrices.h>`

Inheritance diagram for ArrayOfMatrices:

[legend]
Collaboration diagram for ArrayOfMatrices:

[legend]
List of all members.

## Public Member Functions
| ArrayOfMatrices (int length)
| ArrayOfMatrices (const mxArray *ptr)
| ArrayOfMatrices (const mxArray *ptrs[], int numptrs)
| ArrayOfMatrices (mxArray *ptrs[], const ArrayOfMatrices &model)
| ArrayOfMatrices (double *data, const ArrayOfMatrices &model)
| ArrayOfMatrices (const ArrayOfMatrices &source)
| ~ArrayOfMatrices ()
ArrayOfMatrices & | operator= (const ArrayOfMatrices &source)
void | inject (const double *source)
void | copyto (double *dest) const
bool | operator== (const ArrayOfMatrices &a) const
bool | operator!= (const ArrayOfMatrices &a) const
int | numelems () const
## Static Protected Member Functions
static int | getnummatlabmatrices (const mxArray *ptr)

## Detailed Description

Definition at line 18 of file arrayofmatrices.h.

## Constructor & Destructor Documentation

ArrayOfMatrices::ArrayOfMatrices | ( | int | length | ) | `[inline, explicit]`

Definition at line 22 of file arrayofmatrices.h.

ArrayOfMatrices::ArrayOfMatrices | ( | const mxArray * | ptr | ) | `[explicit]`

ArrayOfMatrices::ArrayOfMatrices | ( | const mxArray * | ptrs[],
|  | int | numptrs |
| ) |  |  |

ArrayOfMatrices::ArrayOfMatrices | ( | mxArray * | ptrs[],
|  | const ArrayOfMatrices & | model |
| ) |  |  |

ArrayOfMatrices::ArrayOfMatrices | ( | double * | data,
|  | const ArrayOfMatrices & | model |
| ) |  |  |

ArrayOfMatrices::ArrayOfMatrices | ( | const ArrayOfMatrices & | source | ) |

ArrayOfMatrices::~ArrayOfMatrices | ( |  | ) |

## Member Function Documentation

ArrayOfMatrices& ArrayOfMatrices::operator= | ( | const ArrayOfMatrices & | source | ) |

void ArrayOfMatrices::inject | ( | const double * | source | ) |

void ArrayOfMatrices::copyto | ( | double * | dest | ) | const

bool ArrayOfMatrices::operator== | ( | const ArrayOfMatrices & | a | ) | const

bool ArrayOfMatrices::operator!= | ( | const ArrayOfMatrices & | a | ) | const`[inline]`

Definition at line 71 of file arrayofmatrices.h.

int ArrayOfMatrices::numelems | ( |  | ) | const

static int ArrayOfMatrices::getnummatlabmatrices | ( | const mxArray * | ptr | ) | `[static, protected]`

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/contrib/MatlabInterface-Old/src/arrayofmatrices.h